flake8:
  image: python:3-alpine
  tags:
    - docker
  before_script:
    - python -m pip install --upgrade pip
    - pip3 install flake8
  script:
    # Run flake8 (pycodestyle + pyflakes) check.
    # https://pycodestyle.readthedocs.io/en/latest/intro.html#error-codes
    # Ignored errors:
    # - E128: continuation line under-indented for visual indent
    # - E501: line too long
    # - E731: do not assign a lambda expression, use a def
    # - W504: line break after binary operator (conflicts with old pep8 package)
    # - W505: doc line too long
    - flake8 .
